Skip to main content
GET
/
api
/
v1
/
openclaw
/
twitch
/
clip
Clip
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/twitch/clip \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
required
Twitch clip URL (e.g., https://clips.twitch.tv/CloudySavageMarjoramRuleFive--ErzsYbE7UWvgCMQ)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/twitch/clip?url=https://clips.twitch.tv/CloudySavageMarjoramRuleFive--ErzsYbE7UWvgCMQ" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "clip": {
      "id": "CloudySavageMarjoramRuleFive--ErzsYbE7UWvgCMQ",
      "title": "...",
      "clip_url": "...",
      "thumbnail_url": "...",
      "views": 0,
      "duration": 30,
      "created_at": "..."
    }
  },
  "meta": {
    "platform": "twitch",
    "endpoint": "clip",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.